// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/container/container.proto

package de_fhdortmund_fb4_ewks_srv_container

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Request struct {
	UserId               string   `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Request) Reset()         { *m = Request{} }
func (m *Request) String() string { return proto.CompactTextString(m) }
func (*Request) ProtoMessage()    {}
func (*Request) Descriptor() ([]byte, []int) {
	return fileDescriptor_container_24de77713e01edfe, []int{0}
}
func (m *Request) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Request.Unmarshal(m, b)
}
func (m *Request) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Request.Marshal(b, m, deterministic)
}
func (dst *Request) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Request.Merge(dst, src)
}
func (m *Request) XXX_Size() int {
	return xxx_messageInfo_Request.Size(m)
}
func (m *Request) XXX_DiscardUnknown() {
	xxx_messageInfo_Request.DiscardUnknown(m)
}

var xxx_messageInfo_Request proto.InternalMessageInfo

func (m *Request) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

type Response struct {
	Containers           []*Response_Container `protobuf:"bytes,1,rep,name=containers,proto3" json:"containers,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *Response) Reset()         { *m = Response{} }
func (m *Response) String() string { return proto.CompactTextString(m) }
func (*Response) ProtoMessage()    {}
func (*Response) Descriptor() ([]byte, []int) {
	return fileDescriptor_container_24de77713e01edfe, []int{1}
}
func (m *Response) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Response.Unmarshal(m, b)
}
func (m *Response) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Response.Marshal(b, m, deterministic)
}
func (dst *Response) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Response.Merge(dst, src)
}
func (m *Response) XXX_Size() int {
	return xxx_messageInfo_Response.Size(m)
}
func (m *Response) XXX_DiscardUnknown() {
	xxx_messageInfo_Response.DiscardUnknown(m)
}

var xxx_messageInfo_Response proto.InternalMessageInfo

func (m *Response) GetContainers() []*Response_Container {
	if m != nil {
		return m.Containers
	}
	return nil
}

type Response_Container struct {
	ContainerId          string                     `protobuf:"bytes,1,opt,name=container_id,json=containerId,proto3" json:"container_id,omitempty"`
	Name                 string                     `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	WeightLimit          float32                    `protobuf:"fixed32,3,opt,name=weight_limit,json=weightLimit,proto3" json:"weight_limit,omitempty"`
	Items                []*Response_Container_Item `protobuf:"bytes,4,rep,name=items,proto3" json:"items,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                   `json:"-"`
	XXX_unrecognized     []byte                     `json:"-"`
	XXX_sizecache        int32                      `json:"-"`
}

func (m *Response_Container) Reset()         { *m = Response_Container{} }
func (m *Response_Container) String() string { return proto.CompactTextString(m) }
func (*Response_Container) ProtoMessage()    {}
func (*Response_Container) Descriptor() ([]byte, []int) {
	return fileDescriptor_container_24de77713e01edfe, []int{1, 0}
}
func (m *Response_Container) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Response_Container.Unmarshal(m, b)
}
func (m *Response_Container) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Response_Container.Marshal(b, m, deterministic)
}
func (dst *Response_Container) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Response_Container.Merge(dst, src)
}
func (m *Response_Container) XXX_Size() int {
	return xxx_messageInfo_Response_Container.Size(m)
}
func (m *Response_Container) XXX_DiscardUnknown() {
	xxx_messageInfo_Response_Container.DiscardUnknown(m)
}

var xxx_messageInfo_Response_Container proto.InternalMessageInfo

func (m *Response_Container) GetContainerId() string {
	if m != nil {
		return m.ContainerId
	}
	return ""
}

func (m *Response_Container) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Response_Container) GetWeightLimit() float32 {
	if m != nil {
		return m.WeightLimit
	}
	return 0
}

func (m *Response_Container) GetItems() []*Response_Container_Item {
	if m != nil {
		return m.Items
	}
	return nil
}

type Response_Container_Item struct {
	ItemId               string   `protobuf:"bytes,1,opt,name=item_id,json=itemId,proto3" json:"item_id,omitempty"`
	Amount               uint32   `protobuf:"varint,2,opt,name=amount,proto3" json:"amount,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Response_Container_Item) Reset()         { *m = Response_Container_Item{} }
func (m *Response_Container_Item) String() string { return proto.CompactTextString(m) }
func (*Response_Container_Item) ProtoMessage()    {}
func (*Response_Container_Item) Descriptor() ([]byte, []int) {
	return fileDescriptor_container_24de77713e01edfe, []int{1, 0, 0}
}
func (m *Response_Container_Item) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Response_Container_Item.Unmarshal(m, b)
}
func (m *Response_Container_Item) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Response_Container_Item.Marshal(b, m, deterministic)
}
func (dst *Response_Container_Item) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Response_Container_Item.Merge(dst, src)
}
func (m *Response_Container_Item) XXX_Size() int {
	return xxx_messageInfo_Response_Container_Item.Size(m)
}
func (m *Response_Container_Item) XXX_DiscardUnknown() {
	xxx_messageInfo_Response_Container_Item.DiscardUnknown(m)
}

var xxx_messageInfo_Response_Container_Item proto.InternalMessageInfo

func (m *Response_Container_Item) GetItemId() string {
	if m != nil {
		return m.ItemId
	}
	return ""
}

func (m *Response_Container_Item) GetAmount() uint32 {
	if m != nil {
		return m.Amount
	}
	return 0
}

func init() {
	proto.RegisterType((*Request)(nil), "de.fhdortmund.fb4.ewks.srv.container.Request")
	proto.RegisterType((*Response)(nil), "de.fhdortmund.fb4.ewks.srv.container.Response")
	proto.RegisterType((*Response_Container)(nil), "de.fhdortmund.fb4.ewks.srv.container.Response.Container")
	proto.RegisterType((*Response_Container_Item)(nil), "de.fhdortmund.fb4.ewks.srv.container.Response.Container.Item")
}

func init() {
	proto.RegisterFile("proto/container/container.proto", fileDescriptor_container_24de77713e01edfe)
}

var fileDescriptor_container_24de77713e01edfe = []byte{
	// 290 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x52, 0xb1, 0x4e, 0xc3, 0x30,
	0x10, 0x55, 0xd2, 0x90, 0xb6, 0x17, 0x58, 0x3c, 0x40, 0x94, 0x85, 0x10, 0x31, 0x64, 0xc1, 0x48,
	0x05, 0x09, 0x16, 0x26, 0x06, 0x14, 0x89, 0xc9, 0x2c, 0x6c, 0x55, 0x8a, 0xaf, 0xd4, 0x02, 0xdb,
	0x25, 0x76, 0xda, 0x7f, 0xe5, 0x37, 0xf8, 0x01, 0x64, 0x97, 0xa6, 0x19, 0x4b, 0xb7, 0x7b, 0xef,
	0xf9, 0x9e, 0xdf, 0x9d, 0x0d, 0xe7, 0xcb, 0x46, 0x5b, 0x7d, 0xfd, 0xa6, 0x95, 0xad, 0x85, 0xc2,
	0x66, 0x57, 0x51, 0xaf, 0x90, 0x4b, 0x8e, 0x74, 0xbe, 0xe0, 0xba, 0xb1, 0xb2, 0x55, 0x9c, 0xce,
	0x67, 0xb7, 0x14, 0xd7, 0x1f, 0x86, 0x9a, 0x66, 0x45, 0xbb, 0xb3, 0x45, 0x01, 0x43, 0x86, 0x5f,
	0x2d, 0x1a, 0x4b, 0xce, 0x60, 0xd8, 0x1a, 0x6c, 0xa6, 0x82, 0xa7, 0x41, 0x1e, 0x94, 0x63, 0x16,
	0x3b, 0x58, 0xf1, 0xe2, 0x3b, 0x84, 0x11, 0x43, 0xb3, 0xd4, 0xca, 0x20, 0x79, 0x05, 0xe8, 0xba,
	0x4d, 0x1a, 0xe4, 0x83, 0x32, 0x99, 0xdc, 0xd3, 0x7d, 0xee, 0xa2, 0x5b, 0x0f, 0xfa, 0xb8, 0xa5,
	0x58, 0xcf, 0x2b, 0xfb, 0x09, 0x60, 0xdc, 0x29, 0xe4, 0x02, 0x8e, 0x3b, 0x6d, 0x17, 0x29, 0xe9,
	0xb8, 0x8a, 0x13, 0x02, 0x91, 0xaa, 0x25, 0xa6, 0xa1, 0x97, 0x7c, 0xed, 0xda, 0xd6, 0x28, 0xde,
	0x17, 0x76, 0xfa, 0x29, 0xa4, 0xb0, 0xe9, 0x20, 0x0f, 0xca, 0x90, 0x25, 0x1b, 0xee, 0xd9, 0x51,
	0xe4, 0x05, 0x8e, 0x84, 0x45, 0x69, 0xd2, 0xc8, 0x87, 0x7f, 0x38, 0x34, 0x3c, 0xad, 0x2c, 0x4a,
	0xb6, 0xf1, 0xca, 0xee, 0x20, 0x72, 0xd0, 0x2d, 0xd1, 0x11, 0xbd, 0x25, 0x3a, 0x58, 0x71, 0x72,
	0x0a, 0x71, 0x2d, 0x75, 0xab, 0xac, 0x8f, 0x7b, 0xc2, 0xfe, 0xd0, 0x64, 0xd5, 0x1f, 0x5a, 0xc0,
	0xe8, 0x09, 0xad, 0x33, 0x32, 0xe4, 0x6a, 0xdf, 0x5c, 0xfe, 0xf5, 0x32, 0xfa, 0xbf, 0x31, 0x66,
	0xb1, 0xff, 0x25, 0x37, 0xbf, 0x01, 0x00, 0x00, 0xff, 0xff, 0xbf, 0x62, 0xf8, 0xcf, 0x48, 0x02,
	0x00, 0x00,
}
